#Grand Oral, pages projet du chapitre 5, question 2
#(c) éditions Nathan tous droits réservés

import numpy as np
import matplotlib.pyplot as plt
#import des bibliothèques


h=1000 #reglage du pas d'itération: nombre de points calculés
A=2500 #activité initiale en Bq
csteradio=0.02#constante radioactive en an^-1
Duree=300#durée totale de calcul en annee


Demivie=np.log(2)/csteradio#permet le contrôle de la valeur de t1/2
#log représente ici le logarithme neperien et non décimal


x = np.linspace(0, Duree, h)#x varie de 0 à durée avec un pas de Duree/h
y = A*np.exp(-csteradio*x)#calcul de l'activité par application de la loi
plt.plot(x, y)#représente le point calculé
plt.xlim(0, Duree)#intervale des valeurs des temps sur l'axe des abscisses
plt.ylim(0, A)#intervale des valeurs des activités sur l'axe des ordonnées
plt.title("Loi de décroissance radioactive")#titre
plt.xlabel("Temps (en années)")#étiquette axe des abscisses
plt.ylabel("Activité (en Bq)")#étiquette axe des ordonnées

plt.show()#affichage du graphique